#ifdef __BORLANDC__
  #pragma argsused
#endif
#include<stdlib.h>
#include<iostream.h>
void sprawdz(int,int);
int main( int argc, char * argv[] )
{
 int odp;
 int gracz=0;
 int dodaj;
 int kroki=0;
  randomize();
  odp=random(100);
  while(odp>gracz) {
    cout<<"Twoja liczba to:"<<gracz<<"\n";
    sprawdz(odp,gracz);
    cout<<"Ile dodac do liczby? ";
    cin>>dodaj;
    kroki++;
    gracz=gracz+dodaj;
  }
  if (gracz==odp) {cout<<"Dobra odpowiedz!! Wylosowana liczba to "<<odp<<"\n";
                   cout<<"Zgadles w "<<kroki<<" krokach.";}
  if (gracz>odp) cout<<"Przekroczyles liczbe - porażka";
  return 0;
}
void sprawdz(int odp1,int gracz1) {
  if ((odp1-gracz1)<5) {cout<<"Roznica mniejsza niż 5"<<"\n";return;}
  if ((odp1-gracz1)<10) {cout<<"Roznica mniejsza niż 10"<<"\n";return;}
  if ((odp1-gracz1)<20) {cout<<"Roznica mniejsza niż 20"<<"\n";return;}
  if ((odp1-gracz1)<30) {cout<<"Roznica mniejsza niż 30"<<"\n";return;}
}
